package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 日健康度记录对象 hl_day
 *
 * @author jjt
 * @date 2024-08-29
 */
@ApiModel(value = "HlDay", description = "日健康度记录")
@Data
public class HlDay extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 健康度分数记录ID;
     */
    @ApiModelProperty("健康度分数记录ID;")
    @TableId
    private Long dayId;

    /**
     * 模型ID
     */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /**
     * 健康度分值
     */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    @ApiModelProperty("评分日期")
    private Date hlDate;
}
