package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 日健康扣分明细对象 hl_day_detail
 *
 * @author jjt
 * @date 2024-08-29
 */
@ApiModel(value = "HlDayDetail", description = "日健康扣分明细")
@Data
public class HlDayDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long dayDetailId;

    /**
     * 健康度分数记录ID;
     */
    @ApiModelProperty("健康度分数记录ID;")
    @Excel(name = "健康度分数记录ID;")
    private Long dayId;

    /**
     * 健康度类型
     */
    @ApiModelProperty("健康度类型")
    @Excel(name = "健康度类型")
    private String hlType;

    /**
     * 健康度编码
     */
    @ApiModelProperty("健康度编码")
    @Excel(name = "健康度编码")
    private String hlCode;

    /**
     * 健康度分值
     */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /**
     * 指标当前值
     */
    @ApiModelProperty("指标当前值")
    @Excel(name = "指标当前值")
    private String hlValue;

}
