package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 健康度明细对象 hl_detail
 *
 * @author jjt
 * @date 2024-08-28
 */
@ApiModel(value = "HlDetail", description = "健康度明细")
@Data
public class HlDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long hlDetailId;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long hlObjId;

    /**
     * 评价对象
     */
    @ApiModelProperty("评价对象")
    @Excel(name = "评价对象")
    private String hlDetailName;

    /**
     * 评价对象编码
     */
    @ApiModelProperty("评价对象编码")
    @Excel(name = "评价对象编码")
    private String hlDetailCode;

    /**
     * 分值
     */
    @ApiModelProperty("分值")
    @Excel(name = "分值")
    private Long hlDetailScore;
    @ApiModelProperty("当前得分")
    private Float currScore;
}
