package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 健康指标关系对象 hl_metrics_rela
 *
 * @author jjt
 * @date 2024-09-01
 */
@ApiModel(value = "HlMetricsRela", description = "健康指标关系")
@Data
public class HlMetricsRela extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 关系ID
     */
    @ApiModelProperty("关系ID")
    @TableId
    private Long relaId;

    /**
     * 健康度编码
     */
    @ApiModelProperty("健康度编码")
    @Excel(name = "健康度编码")
    private String hlCode;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /**
     * 指标名称
     */
    @ApiModelProperty("指标名称")
    @Excel(name = "指标名称")
    private String metricsName;
}
