package com.jjt.biz.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 健康度分数记录对象 hl_score
 *
 * @author jjt
 * @date 2024-08-29
 */
@ApiModel(value = "HlScore", description = "健康度分数记录")
public class HlScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 健康度分数记录ID; */
    @ApiModelProperty("健康度分数记录ID;")
    @TableId
    private Long hlScoreId;

    /** 模型ID */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /** 健康度分值 */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    public void setHlScoreId(Long hlScoreId)
    {
        this.hlScoreId = hlScoreId;
    }

    public Long getHlScoreId()
    {
        return hlScoreId;
    }
    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setHlScore(BigDecimal hlScore)
    {
        this.hlScore = hlScore;
    }

    public BigDecimal getHlScore()
    {
        return hlScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hlScoreId", getHlScoreId())
            .append("modelId", getModelId())
            .append("hlScore", getHlScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
