package com.jjt.biz.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 健康度扣分明细对象 hl_score_detail
 *
 * @author jjt
 * @date 2024-08-29
 */
@ApiModel(value = "HlScoreDetail", description = "健康度扣分明细")
public class HlScoreDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 明细ID */
    @ApiModelProperty("明细ID")
    @TableId
    private Long hlScoreDetailId;

    /** 健康度分数记录ID; */
    @ApiModelProperty("健康度分数记录ID;")
    @Excel(name = "健康度分数记录ID;")
    private Long hlScoreId;

    /** 健康度类型 */
    @ApiModelProperty("健康度类型")
    @Excel(name = "健康度类型")
    private String hlType;

    /** 健康度编码 */
    @ApiModelProperty("健康度编码")
    @Excel(name = "健康度编码")
    private String hlCode;

    /** 健康度分值 */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /** 指标当前值 */
    @ApiModelProperty("指标当前值")
    @Excel(name = "指标当前值")
    private String hlValue;

    public void setHlScoreDetailId(Long hlScoreDetailId)
    {
        this.hlScoreDetailId = hlScoreDetailId;
    }

    public Long getHlScoreDetailId()
    {
        return hlScoreDetailId;
    }
    public void setHlScoreId(Long hlScoreId)
    {
        this.hlScoreId = hlScoreId;
    }

    public Long getHlScoreId()
    {
        return hlScoreId;
    }
    public void setHlType(String hlType)
    {
        this.hlType = hlType;
    }

    public String getHlType()
    {
        return hlType;
    }
    public void setHlCode(String hlCode)
    {
        this.hlCode = hlCode;
    }

    public String getHlCode()
    {
        return hlCode;
    }
    public void setHlScore(BigDecimal hlScore)
    {
        this.hlScore = hlScore;
    }

    public BigDecimal getHlScore()
    {
        return hlScore;
    }
    public void setHlValue(String hlValue)
    {
        this.hlValue = hlValue;
    }

    public String getHlValue()
    {
        return hlValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hlScoreDetailId", getHlScoreDetailId())
            .append("hlScoreId", getHlScoreId())
            .append("hlType", getHlType())
            .append("hlCode", getHlCode())
            .append("hlScore", getHlScore())
            .append("hlValue", getHlValue())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
