package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.HlDayDetail;

/**
 * 日健康扣分明细Mapper接口
 * 
 * @author jjt
 * @date 2024-08-29
 */
public interface HlDayDetailMapper extends BaseMapper<HlDayDetail>
{
    /**
     * 查询日健康扣分明细
     * 
     * @param dayDetailId 日健康扣分明细主键
     * @return 日健康扣分明细
     */
    public HlDayDetail selectHlDayDetailByDayDetailId(Long dayDetailId);

    /**
     * 查询日健康扣分明细列表
     * 
     * @param hlDayDetail 日健康扣分明细
     * @return 日健康扣分明细集合
     */
    public List<HlDayDetail> selectHlDayDetailList(HlDayDetail hlDayDetail);

    /**
     * 新增日健康扣分明细
     * 
     * @param hlDayDetail 日健康扣分明细
     * @return 结果
     */
    public int insertHlDayDetail(HlDayDetail hlDayDetail);

    /**
     * 修改日健康扣分明细
     * 
     * @param hlDayDetail 日健康扣分明细
     * @return 结果
     */
    public int updateHlDayDetail(HlDayDetail hlDayDetail);

    /**
     * 删除日健康扣分明细
     * 
     * @param dayDetailId 日健康扣分明细主键
     * @return 结果
     */
    public int deleteHlDayDetailByDayDetailId(Long dayDetailId);

    /**
     * 批量删除日健康扣分明细
     * 
     * @param dayDetailIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlDayDetailByDayDetailIds(Long[] dayDetailIds);
}
