package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.HlDay;

/**
 * 日健康度记录Mapper接口
 * 
 * @author jjt
 * @date 2024-08-29
 */
public interface HlDayMapper extends BaseMapper<HlDay>
{
    /**
     * 查询日健康度记录
     * 
     * @param dayId 日健康度记录主键
     * @return 日健康度记录
     */
    public HlDay selectHlDayByDayId(Long dayId);

    /**
     * 查询日健康度记录列表
     * 
     * @param hlDay 日健康度记录
     * @return 日健康度记录集合
     */
    public List<HlDay> selectHlDayList(HlDay hlDay);

    /**
     * 新增日健康度记录
     * 
     * @param hlDay 日健康度记录
     * @return 结果
     */
    public int insertHlDay(HlDay hlDay);

    /**
     * 修改日健康度记录
     * 
     * @param hlDay 日健康度记录
     * @return 结果
     */
    public int updateHlDay(HlDay hlDay);

    /**
     * 删除日健康度记录
     * 
     * @param dayId 日健康度记录主键
     * @return 结果
     */
    public int deleteHlDayByDayId(Long dayId);

    /**
     * 批量删除日健康度记录
     * 
     * @param dayIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlDayByDayIds(Long[] dayIds);
}
