package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.HlMetricsRela;

/**
 * 健康指标关系Mapper接口
 * 
 * @author jjt
 * @date 2024-09-01
 */
public interface HlMetricsRelaMapper extends BaseMapper<HlMetricsRela>
{
    /**
     * 查询健康指标关系
     * 
     * @param relaId 健康指标关系主键
     * @return 健康指标关系
     */
    public HlMetricsRela selectHlMetricsRelaByRelaId(Long relaId);

    /**
     * 查询健康指标关系列表
     * 
     * @param hlMetricsRela 健康指标关系
     * @return 健康指标关系集合
     */
    public List<HlMetricsRela> selectHlMetricsRelaList(HlMetricsRela hlMetricsRela);

    /**
     * 新增健康指标关系
     * 
     * @param hlMetricsRela 健康指标关系
     * @return 结果
     */
    public int insertHlMetricsRela(HlMetricsRela hlMetricsRela);

    /**
     * 修改健康指标关系
     * 
     * @param hlMetricsRela 健康指标关系
     * @return 结果
     */
    public int updateHlMetricsRela(HlMetricsRela hlMetricsRela);

    /**
     * 删除健康指标关系
     * 
     * @param relaId 健康指标关系主键
     * @return 结果
     */
    public int deleteHlMetricsRelaByRelaId(Long relaId);

    /**
     * 批量删除健康指标关系
     * 
     * @param relaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlMetricsRelaByRelaIds(Long[] relaIds);
}
