package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.HlScoreDetail;

/**
 * 健康度扣分明细Service接口
 * 
 * @author jjt
 * @date 2024-08-29
 */
public interface IHlScoreDetailService 
{
    /**
     * 查询健康度扣分明细
     * 
     * @param hlScoreDetailId 健康度扣分明细主键
     * @return 健康度扣分明细
     */
    public HlScoreDetail selectHlScoreDetailByHlScoreDetailId(Long hlScoreDetailId);

    /**
     * 查询健康度扣分明细列表
     * 
     * @param hlScoreDetail 健康度扣分明细
     * @return 健康度扣分明细集合
     */
    public List<HlScoreDetail> selectHlScoreDetailList(HlScoreDetail hlScoreDetail);

    /**
     * 新增健康度扣分明细
     * 
     * @param hlScoreDetail 健康度扣分明细
     * @return 结果
     */
    public int insertHlScoreDetail(HlScoreDetail hlScoreDetail);

    /**
     * 修改健康度扣分明细
     * 
     * @param hlScoreDetail 健康度扣分明细
     * @return 结果
     */
    public int updateHlScoreDetail(HlScoreDetail hlScoreDetail);

    /**
     * 批量删除健康度扣分明细
     * 
     * @param hlScoreDetailIds 需要删除的健康度扣分明细主键集合
     * @return 结果
     */
    public int deleteHlScoreDetailByHlScoreDetailIds(Long[] hlScoreDetailIds);

    /**
     * 删除健康度扣分明细信息
     * 
     * @param hlScoreDetailId 健康度扣分明细主键
     * @return 结果
     */
    public int deleteHlScoreDetailByHlScoreDetailId(Long hlScoreDetailId);
}
