package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlDayDetailMapper;
import com.jjt.biz.domain.HlDayDetail;
import com.jjt.biz.service.IHlDayDetailService;
import javax.annotation.Resource;

/**
 * 日健康扣分明细Service业务层处理
 *
 * @author jjt
 * @date 2024-08-29
 */
@Service
public class HlDayDetailServiceImpl implements IHlDayDetailService {
    @Resource
    private HlDayDetailMapper hlDayDetailMapper;

    /**
     * 查询日健康扣分明细
     *
     * @param dayDetailId 日健康扣分明细主键
     * @return 日健康扣分明细
     */
    @Override
    public HlDayDetail selectHlDayDetailByDayDetailId(Long dayDetailId) {
        return hlDayDetailMapper.selectHlDayDetailByDayDetailId(dayDetailId);
    }

    /**
     * 查询日健康扣分明细列表
     *
     * @param hlDayDetail 日健康扣分明细
     * @return 日健康扣分明细
     */
    @Override
    public List<HlDayDetail> selectHlDayDetailList(HlDayDetail hlDayDetail) {
        return hlDayDetailMapper.selectHlDayDetailList(hlDayDetail);
    }

    /**
     * 新增日健康扣分明细
     *
     * @param hlDayDetail 日健康扣分明细
     * @return 结果
     */
    @Override
    public int insertHlDayDetail(HlDayDetail hlDayDetail) {
                hlDayDetail.setCreateTime(DateUtils.getNowDate());
            return hlDayDetailMapper.insertHlDayDetail(hlDayDetail);
    }

    /**
     * 修改日健康扣分明细
     *
     * @param hlDayDetail 日健康扣分明细
     * @return 结果
     */
    @Override
    public int updateHlDayDetail(HlDayDetail hlDayDetail) {
                hlDayDetail.setUpdateTime(DateUtils.getNowDate());
        return hlDayDetailMapper.updateHlDayDetail(hlDayDetail);
    }

    /**
     * 批量删除日健康扣分明细
     *
     * @param dayDetailIds 需要删除的日健康扣分明细主键
     * @return 结果
     */
    @Override
    public int deleteHlDayDetailByDayDetailIds(Long[] dayDetailIds) {
        return hlDayDetailMapper.deleteHlDayDetailByDayDetailIds(dayDetailIds);
    }

    /**
     * 删除日健康扣分明细信息
     *
     * @param dayDetailId 日健康扣分明细主键
     * @return 结果
     */
    @Override
    public int deleteHlDayDetailByDayDetailId(Long dayDetailId) {
        return hlDayDetailMapper.deleteHlDayDetailByDayDetailId(dayDetailId);
    }
}
