package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlDayMapper;
import com.jjt.biz.domain.HlDay;
import com.jjt.biz.service.IHlDayService;
import javax.annotation.Resource;

/**
 * 日健康度记录Service业务层处理
 *
 * @author jjt
 * @date 2024-08-29
 */
@Service
public class HlDayServiceImpl implements IHlDayService {
    @Resource
    private HlDayMapper hlDayMapper;

    /**
     * 查询日健康度记录
     *
     * @param dayId 日健康度记录主键
     * @return 日健康度记录
     */
    @Override
    public HlDay selectHlDayByDayId(Long dayId) {
        return hlDayMapper.selectHlDayByDayId(dayId);
    }

    /**
     * 查询日健康度记录列表
     *
     * @param hlDay 日健康度记录
     * @return 日健康度记录
     */
    @Override
    public List<HlDay> selectHlDayList(HlDay hlDay) {
        return hlDayMapper.selectHlDayList(hlDay);
    }

    /**
     * 新增日健康度记录
     *
     * @param hlDay 日健康度记录
     * @return 结果
     */
    @Override
    public int insertHlDay(HlDay hlDay) {
                hlDay.setCreateTime(DateUtils.getNowDate());
            return hlDayMapper.insertHlDay(hlDay);
    }

    /**
     * 修改日健康度记录
     *
     * @param hlDay 日健康度记录
     * @return 结果
     */
    @Override
    public int updateHlDay(HlDay hlDay) {
                hlDay.setUpdateTime(DateUtils.getNowDate());
        return hlDayMapper.updateHlDay(hlDay);
    }

    /**
     * 批量删除日健康度记录
     *
     * @param dayIds 需要删除的日健康度记录主键
     * @return 结果
     */
    @Override
    public int deleteHlDayByDayIds(Long[] dayIds) {
        return hlDayMapper.deleteHlDayByDayIds(dayIds);
    }

    /**
     * 删除日健康度记录信息
     *
     * @param dayId 日健康度记录主键
     * @return 结果
     */
    @Override
    public int deleteHlDayByDayId(Long dayId) {
        return hlDayMapper.deleteHlDayByDayId(dayId);
    }
}
