package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlMetricsRelaMapper;
import com.jjt.biz.domain.HlMetricsRela;
import com.jjt.biz.service.IHlMetricsRelaService;
import javax.annotation.Resource;

/**
 * 健康指标关系Service业务层处理
 *
 * @author jjt
 * @date 2024-09-01
 */
@Service
public class HlMetricsRelaServiceImpl implements IHlMetricsRelaService {
    @Resource
    private HlMetricsRelaMapper hlMetricsRelaMapper;

    /**
     * 查询健康指标关系
     *
     * @param relaId 健康指标关系主键
     * @return 健康指标关系
     */
    @Override
    public HlMetricsRela selectHlMetricsRelaByRelaId(Long relaId) {
        return hlMetricsRelaMapper.selectHlMetricsRelaByRelaId(relaId);
    }

    /**
     * 查询健康指标关系列表
     *
     * @param hlMetricsRela 健康指标关系
     * @return 健康指标关系
     */
    @Override
    public List<HlMetricsRela> selectHlMetricsRelaList(HlMetricsRela hlMetricsRela) {
        return hlMetricsRelaMapper.selectHlMetricsRelaList(hlMetricsRela);
    }

    /**
     * 新增健康指标关系
     *
     * @param hlMetricsRela 健康指标关系
     * @return 结果
     */
    @Override
    public int insertHlMetricsRela(HlMetricsRela hlMetricsRela) {
                hlMetricsRela.setCreateTime(DateUtils.getNowDate());
            return hlMetricsRelaMapper.insertHlMetricsRela(hlMetricsRela);
    }

    /**
     * 修改健康指标关系
     *
     * @param hlMetricsRela 健康指标关系
     * @return 结果
     */
    @Override
    public int updateHlMetricsRela(HlMetricsRela hlMetricsRela) {
                hlMetricsRela.setUpdateTime(DateUtils.getNowDate());
        return hlMetricsRelaMapper.updateHlMetricsRela(hlMetricsRela);
    }

    /**
     * 批量删除健康指标关系
     *
     * @param relaIds 需要删除的健康指标关系主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsRelaByRelaIds(Long[] relaIds) {
        return hlMetricsRelaMapper.deleteHlMetricsRelaByRelaIds(relaIds);
    }

    /**
     * 删除健康指标关系信息
     *
     * @param relaId 健康指标关系主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsRelaByRelaId(Long relaId) {
        return hlMetricsRelaMapper.deleteHlMetricsRelaByRelaId(relaId);
    }
}
