package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.HlScoreDetailMapper;
import com.jjt.biz.domain.HlScoreDetail;
import com.jjt.biz.service.IHlScoreDetailService;
import javax.annotation.Resource;

/**
 * 健康度扣分明细Service业务层处理
 *
 * @author jjt
 * @date 2024-08-29
 */
@Service
public class HlScoreDetailServiceImpl implements IHlScoreDetailService {
    @Resource
    private HlScoreDetailMapper hlScoreDetailMapper;

    /**
     * 查询健康度扣分明细
     *
     * @param hlScoreDetailId 健康度扣分明细主键
     * @return 健康度扣分明细
     */
    @Override
    public HlScoreDetail selectHlScoreDetailByHlScoreDetailId(Long hlScoreDetailId) {
        return hlScoreDetailMapper.selectHlScoreDetailByHlScoreDetailId(hlScoreDetailId);
    }

    /**
     * 查询健康度扣分明细列表
     *
     * @param hlScoreDetail 健康度扣分明细
     * @return 健康度扣分明细
     */
    @Override
    public List<HlScoreDetail> selectHlScoreDetailList(HlScoreDetail hlScoreDetail) {
        return hlScoreDetailMapper.selectHlScoreDetailList(hlScoreDetail);
    }

    /**
     * 新增健康度扣分明细
     *
     * @param hlScoreDetail 健康度扣分明细
     * @return 结果
     */
    @Override
    public int insertHlScoreDetail(HlScoreDetail hlScoreDetail) {
                hlScoreDetail.setCreateTime(DateUtils.getNowDate());
            return hlScoreDetailMapper.insertHlScoreDetail(hlScoreDetail);
    }

    /**
     * 修改健康度扣分明细
     *
     * @param hlScoreDetail 健康度扣分明细
     * @return 结果
     */
    @Override
    public int updateHlScoreDetail(HlScoreDetail hlScoreDetail) {
                hlScoreDetail.setUpdateTime(DateUtils.getNowDate());
        return hlScoreDetailMapper.updateHlScoreDetail(hlScoreDetail);
    }

    /**
     * 批量删除健康度扣分明细
     *
     * @param hlScoreDetailIds 需要删除的健康度扣分明细主键
     * @return 结果
     */
    @Override
    public int deleteHlScoreDetailByHlScoreDetailIds(Long[] hlScoreDetailIds) {
        return hlScoreDetailMapper.deleteHlScoreDetailByHlScoreDetailIds(hlScoreDetailIds);
    }

    /**
     * 删除健康度扣分明细信息
     *
     * @param hlScoreDetailId 健康度扣分明细主键
     * @return 结果
     */
    @Override
    public int deleteHlScoreDetailByHlScoreDetailId(Long hlScoreDetailId) {
        return hlScoreDetailMapper.deleteHlScoreDetailByHlScoreDetailId(hlScoreDetailId);
    }
}
